Bug 282 - Shape Extension spec lists incorrect opcodes
Shape Extension spec lists incorrect opcodes
Status: RESOLVED FIXED
Product: XStandards
Classification: Unclassified
Component: Shape
X11R6.6
All All
: high normal
Assigned To: Alan Coopersmith
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-07 13:18 UTC by Alan Coopersmith
Modified: 2004-03-14 23:55 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Proposed fix to shape spec (2.38 KB, patch)
2004-03-08 17:11 UTC, Alan Coopersmith
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Coopersmith 2004-03-07 13:18:47 UTC
The encoding section of the Shape Extension spec (xc/doc/specs/Xext/shape.ms)
incorrectly specifies the opcodes for the requests ShapeRequestInput and
ShapeGetRectangles.

ShapeRequestInput is shown as having the same opcode (6) as ShapeSelectInput.
It should really be 7, and that ShapeGetRectangles should have the opcode 8.
The correct values are shown in xc/include/extensions/shape.h .

(Originally reported to old X.org bug report address by Peter Liljenberg
 in March 2002 and filed as X.org defect #9453.)
Comment 1 Alan Coopersmith 2004-03-07 13:21:10 UTC
Whoops - copy and paste error - the above should actually say
"ShapeInputSelected" where it has "ShapeRequestInput"
Comment 2 Alan Coopersmith 2004-03-08 17:11:56 UTC
Created attachment 135 [details] [review]
Proposed fix to shape spec
Comment 3 Alan Coopersmith 2004-03-08 17:19:01 UTC
Sent proposed diffs to X.org Arch task force.
Comment 4 Keith Packard 2004-03-08 19:16:58 UTC
Looks fine to me except for the addition of the XdotOrg CVS tag.  I think you
need to add a ':' or CVS will not substitute ($XdotOrg:$)?
Comment 5 Alan Coopersmith 2004-03-15 18:55:11 UTC
The freedesktop.org CVS doesn't seem to require the : - it expands $Xdotorg$ 
without it.

The X.org architecture task force approved this as a trivial revision not 
requiring public review since this is what everyone assumed the spec said
for the last 15 years.

Committed to XORG-RELEASE-1 branch:

Log message:
   40. Update SHAPE extension protocol spec to version 1.0.1, fixing
       freedesktop.org bugzilla #282 (old X.org defect #9453) (Alan Coopersmith)

Modified files:
      ./:	Tag: XORG-RELEASE-1
        CHANGELOG-RELEASE-1 
      xc/doc/man/general/:	Tag: XORG-RELEASE-1
        Standards.man 
      xc/doc/specs/Xext/:	Tag: XORG-RELEASE-1
        shape.ms 
      xc/doc/hardcopy/Xext/:	Tag: XORG-RELEASE-1
        shape.PS.gz 
  
  Revision      Changes    Path
  1.1.2.23      +3 -1      xc/Attic/CHANGELOG-RELEASE-1
  1.1.10.2      +2 -1      xc/doc/man/general/Standards.man
  1.1.10.1      +16 -8     xc/doc/specs/Xext/shape.ms
  1.1.10.1      +55 -64    xc/doc/hardcopy/Xext/shape.PS.gz

and to XORG-CURRENT branch:

Log message:
    25.  Update SHAPE extension protocol spec to version 1.0.1, fixing
         freedesktop.org bugzilla #282 (old X.org defect #9453)(Alan Coopersmith)

Modified files:
      xc/doc/man/general/:	Tag: XORG-CURRENT
        Standards.man 
      xc/doc/specs/Xext/:	Tag: XORG-CURRENT
        shape.ms 
      xc/doc/hardcopy/Xext/:	Tag: XORG-CURRENT
        shape.PS.gz 
  
  Revision      Changes    Path
  1.1.4.2       +2 -1      xc/doc/man/general/Standards.man
  1.1.4.1       +16 -8     xc/doc/specs/Xext/shape.ms
  1.1.4.1       +55 -64    xc/doc/hardcopy/Xext/shape.PS.gz